Package es.imim.DISGENET.internal

# Class CustomLayoutContext

java.lang.Object
es.imim.DISGENET.internal.CustomLayoutContext

All Implemented Interfaces:
  `org.cytoscape.work.TunableValidator`

public class CustomLayoutContext extends Object implements org.cytoscape.work.TunableValidator

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.cytoscape.work.TunableValidator

`org.cytoscape.work.TunableValidator.ValidationState`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`XRange`
`int`
`YRange`

## Constructor Summary

Constructors
Constructor
Description
`CustomLayoutContext()`
Default constructor for CustomLayoutContext.

## Method Summary

Modifier and Type
Method
Description
`org.cytoscape.work.TunableValidator.ValidationState`
`getValidationState(Appendable errMsg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### XRange

public int XRange

### YRange

public int YRange

## Constructor Details

### CustomLayoutContext

public CustomLayoutContext()
Default constructor for CustomLayoutContext. Initializes the context with default X and Y ranges.

## Method Details

### getValidationState

public org.cytoscape.work.TunableValidator.ValidationState getValidationState(Appendable errMsg)

Specified by:
  `getValidationState` in interface `org.cytoscape.work.TunableValidator`